drill-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Hou <r...@mapr.com>
Subject Re: Drill 1.14.0 and mapr ODBC drivers (linux/macos)
Date Sun, 05 Aug 2018 21:52:02 GMT
The current MapR ODBC and JDBC drivers are not compatible with the new
Apache Drill 1.14. release.  (Apache Drill ships with a JDBC driver that
will work).  There will be new MapR ODBC and JDBC drivers coming out with
the new MapR Drill release to address this.

Thanks.

--Robert

On Sun, Aug 5, 2018 at 1:09 PM, Bob Rudis <bob@rud.is> wrote:

> Is anyone else getting libprotobuf messages/errors when using the MapR
> ODBC drivers (maprdrill-1.3.16.1049-1.x86_64.rpm / MapR_Drill_1.3.dmg via
> http://package.mapr.com/tools/MapR-ODBC/MapR_Drill/
> MapRDrill_odbc_v1.3.16.1049/)?
>
> Trying to see if it's just me before I bug the dev list (tho I know they
> watch here, too).
>
> Queries seem to work fine but messages similar to:
>
>     [libprotobuf ERROR google/protobuf/message_lite.cc:123] Can't parse
> message
>     of type "exec.user.GetServerMetaResp" because it is missing required
> fields:
>     server_meta.convert_support[18].to ...
>
> are spewed en masse.
>
> I haven't been able to test under Windows but the same behaviour happens
> on both macOS and Ubuntu Xenial.
>
> When I revert back to 1.13.0 the messages do not appear.
>
> DRILL-6300 & DRILL-6627 both touched the protobuf bits, so I'm wondering
> if this could be related to those changes.
>
> -Bob

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message